Data Hub
Runs

Create a run comment

Requires scope `runs:comment`.

POST
/instruments/{instrumentId}/runs/{runId}/comments

Requires scope runs:comment.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string
runId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/instruments/plate-reader/runs/run-2026-001/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "body": "string",  "user": {    "id": "string",    "displayName": "string",    "initials": "string",    "avatarUrl": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "edited_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}